Summary:	Clustered TDB
Name:		ctdb
Version:	2.0
Release:	11
License:	GPLv3+
Group:		System/Cluster
Url:		http://ctdb.samba.org/
Source0:	http://ftp.samba.org/pub/ctdb/%{name}-%{version}.tar.gz
Source1:	ctdb_check_config
# Fedora specific patch, ctdb should not be enabled by default in the runlevels
Patch1:		ctdb-no_default_runlevel.patch
Patch2:		ctdb-2.0-linkage.patch
# Submitted to upstream for review https://lists.samba.org/archive/samba-technical/2011-September/079198.html
Patch5:		0001-IPv6-neighbor-solicit-cleanup.patch
Patch7:		0002-Add-systemd-support.patch
Patch8:		0001-Extract-several-init-functions-into-a-separate-file.patch

BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(talloc)
BuildRequires:	pkgconfig(tevent)
Requires(pre):	chkconfig
Requires(pre):	coreutils
Requires(pre):	mktemp
Requires(pre):	psmisc
Requires(pre):	sed
Requires(pre,postun):	rpm-helper

%description
ctdb is the clustered database used by samba.

%files
%config(noreplace) %{_sysconfdir}/ctdb/systemd
%attr(755,root,root) %{_unitdir}/ctdb.service
%config(noreplace) %{_sysconfdir}/%{name}/nodes
%doc doc/*html
%{_sysconfdir}/ctdb/functions
%{_sysconfdir}/ctdb/init_functions
%{_sysconfdir}/ctdb/events.d/
%{_sysconfdir}/ctdb/statd-callout
%{_sysconfdir}/ctdb/*.sh
%{_sysconfdir}/sysconfig/ctdb
%{_sbindir}/ctdbd
%{_bindir}/ctdb
%{_bindir}/ltdbtool
%{_bindir}/smnotify
#{_bindir}/ctdb_ipmux
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode
%{_bindir}/ping_pong
%{_mandir}/man1/ctdb.1.*
%{_mandir}/man1/ltdbtool.1.*
%{_mandir}/man1/ctdbd.1.*
%{_mandir}/man1/onnode.1.*
%{_mandir}/man1/ping_pong.1.*
%dir %attr(750,root,root) /var/lib/ctdb

%post
%_post_service %{name}

%preun
%_preun_service %{name}

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for ctdb
Group:		Development/Other

%description devel
Development files for ctdb.

%files devel
%{_includedir}/*.h
%{_libdir}/pkgconfig/ctdb.pc
%{_libdir}/*.a

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
CC="%__cc"

## always run autogen.sh
./autogen.sh
export CFLAGS="%{optflags} $EXTRA -D_GNU_SOURCE"
%configure2_5x \
	--without-included-popt \
	--without-included-talloc \
	--without-included-tdb \
	--without-included-tevent

make showflags
%make
sed -i -e 's/^(Version: *)$/$1 %{version}/g' ctdb.pc

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_check_persistent_databases.pre %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_set_ctdb_variables.post %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_drop_all_public_ips %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb.systemd %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/ctdb/systemd
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m644 config/ctdb.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/ctdb
sed -i '/PIDFile=/d' config/ctdb.service
sed -i '/LimitCORE=infinity/a \
ExecStartPre=/etc/ctdb/systemd/ctdb_check_config' config/ctdb.service
install -m 755 config/ctdb.service %{buildroot}%{_unitdir}

perl -pi -e 's,/var/ctdb,/var/lib/ctdb,g' %{buildroot}/%{_initrddir}/%{name}
mkdir -p %{buildroot}/var/lib/ctdb
touch %{buildroot}/%{_sysconfdir}/ctdb/nodes


%changelog

* Thu Jul 16 2015 aivanov <a.ivanov@ntcit-rosa.ru> 2.0-11
- (3b604d7) Merge pull request #1 from aivanov/ctdb:rosa2014.1
- (3b604d7) Fix for bz 3892: ctdb.service fails to start


